Bug 1456847 - snap.1.gz symlink conflicts with snapd's snap.1.gz
Summary: snap.1.gz symlink conflicts with snapd's snap.1.gz
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: snapd
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
Assignee: Neal Gompa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-30 13:30 UTC by rtuxiks
Modified: 2018-11-08 03:16 UTC (History)
3 users (show)

Fixed In Version: snapd-2.36-1.fc27 snapd-2.36-1.fc28 snapd-2.36-1.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-08 01:58:07 UTC


Attachments (Terms of Use)

Description rtuxiks 2017-05-30 13:30:39 UTC
Description of problem:
 Snapd can't be installed alongside with snap.

How reproducible:
 Always

Additional info:

 I have only 32bit installations.

 The error from dnf:

Error: Transaction check error:
  file /usr/share/man/man1/snap.1.gz from install of snap-0.6-9.fc25.noarch conflicts with file from package snapd-2.24-1.fc25.i686

Comment 1 Neal Gompa 2017-05-30 17:20:46 UTC
The issue is that the package snap has a snap.1.gz that's a symlink for snaptool.1.gz that needs to be removed.

The symlink file needs to be removed to remove the file conflict.

Comment 2 Fedora End Of Life 2017-11-16 18:52:18 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2018-02-20 15:28:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 5 Neal Gompa 2018-10-05 01:20:26 UTC
This is going to be fixed in snapd upstream: https://github.com/snapcore/snapd/pull/5928

Comment 6 Fedora Update System 2018-11-04 17:17:18 UTC
snapd-2.36-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-84d647b87e

Comment 7 Fedora Update System 2018-11-04 17:37:38 UTC
snapd-2.36-1.fc28 snapd-glib-1.44-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-48cc10ba1d

Comment 8 Fedora Update System 2018-11-04 17:38:38 UTC
snapd-2.36-1.fc27 snapd-glib-1.44-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-38a0753747

Comment 9 Fedora Update System 2018-11-05 02:41:23 UTC
snapd-2.36-1.fc27, snapd-glib-1.44-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-38a0753747

Comment 10 Fedora Update System 2018-11-05 03:45:58 UTC
snapd-2.36-1.fc28, snapd-glib-1.44-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-48cc10ba1d

Comment 11 Fedora Update System 2018-11-05 04:20:30 UTC
snapd-2.36-1.fc29, snapd-glib-1.44-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-84d647b87e

Comment 12 Fedora Update System 2018-11-08 01:58:07 UTC
snapd-2.36-1.fc27, snapd-glib-1.44-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2018-11-08 02:18:58 UTC
snapd-2.36-1.fc28, snapd-glib-1.44-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2018-11-08 03:16:09 UTC
snapd-2.36-1.fc29, snapd-glib-1.44-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.